package com.tzld.longarticle.recommend.server.mapper.aigc;

import com.tzld.longarticle.recommend.server.model.dto.ContentPoolTypeDTO;
import com.tzld.longarticle.recommend.server.model.dto.CrawlerContent;
import com.tzld.longarticle.recommend.server.model.dto.ProduceContentDTO;
import com.tzld.longarticle.recommend.server.model.dto.ProducePlanAuditCheckDTO;
import com.tzld.longarticle.recommend.server.model.dto.aigc.BadCrawlerAccountDTO;
import com.tzld.longarticle.recommend.server.model.entity.aigc.*;
import com.tzld.longarticle.recommend.server.model.vo.IdNameVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AigcBaseMapper {

    List<CrawlerPlanResultRel> getCrawlerPlanRelByChannelContentIds(List<String> channelContentIds);

    List<CrawlerPlan> getCrawlerPlanByPlanIds(List<String> planIds);

    CrawlerContent getCrawlerContentByChannelContentId(String channelContentId);

    List<CrawlerContent> getCrawlerContentByChannelContentIdIn(List<String> channelContentIds);

    List<ProduceContentDTO> getProduceContentByPlanId(String planId);

    List<ProducePlanExeRecord> getAllByProducePlanId(List<String> producePlanIds);

    List<CrawlerPlan> getColdCrawlerPlan(Long timeStart, Long timeEnd, List<String> planTags);

    List<ProducePlanAuditCheckDTO> getProducePlanAudit(Long timeStart, Long timeEnd, List<String> planIds);

    List<ProducePlanAuditCheckDTO> getProducePlanProduce(Long timeStart, Long timeEnd, List<String> planIds);

    List<ProduceTaskAtom> getProduceScoreGreaterThan(Long startTimeStamp, Long endTimeStamp);

    List<ProduceTaskAtom> getProduceScoreByContentId(List<String> planExeIds);

    List<ContentPoolTypeDTO> getContentPoolType(List<String> contentIds);

    List<String> getProducePlanId();

    List<String> getCrawlerPlanByProducePlanIds(List<String> producePlanIds);

    Long getCrawlerContentCountByCrawlerPlanIds(List<String> crawlerPlanIds, Long start, Long end);

    List<String> getCrawlerSuccessPlanByCrawlerPlanIds(List<String> crawlerPlanIds, Long start, Long end);

    Long getProduceContentCountByProducePlanIds(List<String> producePlanIds, Long start, Long end);

    Long getProduceAuditPassCountByProducePlanIds(List<String> producePlanIds, List<Integer> auditStatus, Long start, Long end);

    Long getProduceAuditPassCountByProducePlanIds(List<String> producePlanIds, Long start, Long end);

    List<String> getPlanExeIdByAccountName(List<String> accountNames);

    List<ProduceReviewRecord> getReviewList(List<String> planExeIds);

    List<BadCrawlerAccountDTO> getBadAccountList(List<String> producePlanIds);

    void setCrawlerContentDisuseByAccountName(List<String> accountNames);

    List<ProduceContentDTO> getProduceContentById(List<String> planExeIds);

    List<IdNameVO<String>> articleVideoAuditPlanFilterValue(List<String> planIds, String searchKeyword);
}
