package com.tzld.longarticle.recommend.server.mapper.longArticle;

import com.tzld.longarticle.recommend.server.model.dto.GetOffVideos;
import com.tzld.longarticle.recommend.server.model.dto.LongArticlesCrawlerVideos;
import com.tzld.longarticle.recommend.server.model.dto.LongArticlesMatchVideos;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.*;
import com.tzld.longarticle.recommend.server.model.param.ArticleVideoPoolSourceParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;

@Mapper
public interface LongArticleBaseMapper {

    void deleteByDateStrGreaterThanEqual(String dateStr);

    void deleteByDateStrBetween(String dateStrBegin, String dateStrEnd, String type);

    void batchInsertDatastatSortStrategy(List<DatastatSortStrategy> list);

    void batchInsertArticlePoolPromotionSource(List<ArticlePoolPromotionSource> list);

    void batchInsertArticleTitleHisCache(List<ArticleTitleHisCache> list);

    void updateRootProduceContentLevel(String rootProduceContentId, String level);

    void deleteDatastatScoreByDtIn(List<String> dateStrList);

    void batchInsertDatastatScore(List<DatastatScore> list);

    List<DatastatSortStrategy> getArticlePromotion(Integer viewCount, Double viewCountRate,
                                                   Integer fans, String dateStr, List<Integer> positions);

    void batchInsertLongArticlesRootSourceId(List<LongArticlesRootSourceId> list);

    void batchInsertGetOffVideos(List<GetOffVideos> list);

    int batchInsertLongArticlesCrawlerVideos(List<LongArticlesCrawlerVideos> list);

    int batchInsertLongArticlesText(List<LongArticlesText> list);

    List<String> getLongArticlesTextByContentIds(List<String> contentIds);

    int batchInsertLongArticlesMatchVideos(List<LongArticlesMatchVideos> list);

    List<LongArticlesText> getNeedUpdateRecords();

    int updateLongArticlesText(LongArticlesText item);

    List<LongArticlesRootSourceId> getLongArticlesRootSourceId(List<String> rootSourceIdList);

    List<GetOffVideos> getGetOffVideos(List<Long> videoIds);

    List<LongArticlesMatchVideos> getLongArticlesMatchVideos(List<String> traceIds);

    List<LongArticlesCrawlerVideos> getLongArticlesCrawlerVideos(List<String> contentIds);

    List<LongArticlesMatchVideos> getNeedMatchVideos(Long id, Integer pageSize);

    void updateLongArticleMatchVideosResponse(LongArticlesMatchVideos longArticlesMatchVideos);

    int countNeedMatchVideos(Long id);

    List<PublishSingleVideoSource> getPublishSingleVideoSource(ArticleVideoPoolSourceParam param);

    List<String> getFilterColdLongArticleTitle();

    List<String> getExistsOssPath(Integer type);

    List<Long> getExistsVideoId(Integer type, Long todayStart);

    void updateVideoPoolContentBad(String contentTraceId);

    void batchInsertArticleReMatchRecord(List<ArticleReMatchRecord> list);

    List<String> getDisAuditDeleteGhid();

    Long countMatchSuccessCount(Date start, Date end);

    Long countMatchCount(Date start, Date end);

    void batchInsertLongArticleAuditDelete(List<LongArticleAuditDelete> deleteList);

    List<String> getPassContentIds();
}
