package com.tzld.longarticle.recommend.server.remote.aigc;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import okhttp3.*;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import java.io.IOException;
import java.util.concurrent.TimeUnit;

@Service
@Slf4j
public class AIGCProduceContentAuditService {

    private OkHttpClient client;

    @PostConstruct
    public void init() {
        client = new OkHttpClient().newBuilder()
                .connectTimeout(15, TimeUnit.MINUTES)
                .readTimeout(15, TimeUnit.MINUTES)
                .writeTimeout(15, TimeUnit.MINUTES)
                .build();
    }

    public void request(String reviewId, String planExeId) {
        String str = "{\"params\":{\"postOutputReviewDetail\":{\"auditlayoutList\":null,\"bodyTextModuleOutputGroups\":[],\"coverModuleOutputGroups\":[],\"id\":\"20250111090400217509503\",\"imageModuleOutputGroups\":[],\"titleModuleOutputGroups\":[],\"animationModuleOutputGroups\":[],\"videoModuleOutputGroups\":[],\"bgmModuleOutputGroups\":[],\"miniProgramModuleOutputGroups\":[]},\"recordId\":\"20250111090709426752083\",\"reviewStatus\":2},\"baseInfo\":{\"token\":\"9ebfcb397e954c41986971f183eb1707\",\"appType\":9,\"platform\":\"pc\",\"appVersionCode\":1000,\"clientTimestamp\":1,\"fid\":1,\"loginUid\":1,\"pageSource\":1,\"requestId\":1,\"rid\":1,\"uid\":1}}";
        JSONObject param = JSONObject.parseObject(str);
        param.getJSONObject("params").put("recordId", reviewId);
        param.getJSONObject("params").getJSONObject("postOutputReviewDetail").put("id", planExeId);
        try {
            MediaType mediaType = MediaType.parse("application/json");
            RequestBody body = RequestBody.create(mediaType, param.toJSONString());
            Request request = new Request.Builder()
                    .url("http://aigc-api.cybertogether.net/aigc/produce/review/saveDetail")
                    .method("POST", body)
                    .addHeader("Accept", "application/json")
                    .addHeader("Accept-Language", "zh-CN,zh;q=0.9")
                    .addHeader("Cache-Control", "no-cache")
                    .addHeader("Connection", "keep-alive")
                    .addHeader("Content-Type", "application/json")
                    .addHeader("Origin", "http://aigc-admin-test.cybertogether.net")
                    .addHeader("Pragma", "no-cache")
                    .addHeader("User-Agent", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36")
                    .build();
            Response response = client.newCall(request).execute();
            if (response.isSuccessful()) {
                String responseContent = response.body().string();
                JSONObject obj = JSONObject.parseObject(responseContent);
                log.info(obj.toJSONString());
            } else {
                log.error("request failed : {}", JSONObject.toJSONString(response));
            }
        } catch (IOException e) {
            log.error("catch error");
        }
    }
}
